Tanya :

Bagaimana cara instalasi libsoup 2.4 di Lucid dari Kode Sumber ?

Jawab :

Tutorial ini dapat berakibat fatal pada sistem anda. Lakukan di lingkungan yang disiapkan untuk berlatih. Baca seluruh tutorial dan lakukan dengan hati-hati. Termasuk baca pula rujukan-rujukan halaman lain yang dikaitkan ke halaman ini.Disarankan menggunakan lingkungan yang berbeda dengan sistem anda, gunakan chroot jail untuk praktikum.

.
Catatan : Semua Instalasi dari Kode Sumber dilakukan dengan dot slash installation yang panduan dasarnya bisa anda baca di Tanya 23 : https://tanyarezaervani.wordpress.com/2011/03/31/tanya-23-dot-slash-installation/

libsoup-2.4 >= 2.4.0 : Bisa didownload dari http://ftp.acc.umu.se/pub/gnome/core/3.0/3.0.0/sources/libsoup-2.34.0.tar.bz2

Dependencies

libgnome-keyring :

Jika anda mendapatkan pesan kesalahan seperti ini :

configure: error: Could not find gnome-keyring devel files.

Maka anda harus menginstall libgnome-keyring yang bisa diunduh disini http://ftp.acc.umu.se/pub/gnome/core/3.0/3.0.0/sources/libgnome-keyring-3.0.0.tar.bz2

Anda mungkin akan membutuhkan gcrypt, yang bisa diunduh dari : ftp://ftp.gnupg.org/gcrypt/libgcrypt/

Dalam proses instalasi libgcrypt anda mungkin akan membutuhkan paket libgpg-error yang bisa diunduh di ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.9.tar.gz

sqlite3

Dapat diunduh di : http://www.sqlite.org/sqlite-autoconf-3070602.tar.gz

glib-networking

Dapat diunduh di : http://ftp.acc.umu.se/pub/gnome/core/3.0/3.0.0/sources/glib-networking-2.28.5.tar.bz2

Dependencies :

gnutls : Bisa diunduh di ftp://ftp.gnu.org/gnu/gnutls/gnutls-2.8.6.tar.bz2

apache2, curl, php5

Paket ini opsional, tapi jika ingin menjalankan regression test maka paket-paket apache2, curl dan php5 harus terinstall

Demikian, semoga bermanfaat. (rezaervani@gmail.com)

Iklan